Passwordfile library: PasswordFileTests Class Reference

Passwordfile library 5.1.0 C++ library to read/write passwords from/to encrypted files

Loading...
Searching...
No Matches
Public Member Functions | List of all members
PasswordFileTests Class Reference

The PasswordFileTests class tests the Io::PasswordFile class. More...

Inheritance diagram for PasswordFileTests:
[legend]
Collaboration diagram for PasswordFileTests:
[legend]

## Public Member Functions
void | setUp () override
void | tearDown () override
void | testReading ()
| Tests reading the testfiles testfile{1,2}.pwmgr.
void | testReading (const string &context, const string &testfile1path, const string &testfile1password, const string &testfile2, const string &testfile2password, bool testfile2Mod, bool extendedHeaderMod)
void | testBasicWriting ()
| Tests writing (and reading again) using basic features.
void | testExtendedWriting ()
| Tests writing (and reading again) using extended features.

## Detailed Description

The PasswordFileTests class tests the Io::PasswordFile class.

Definition at line 19 of file passwordfiletests.cpp.

## Member Function Documentation

## ◆ setUp()

void PasswordFileTests::setUp | ( |  | ) |
| override

Definition at line 39 of file passwordfiletests.cpp.

## ◆ tearDown()

void PasswordFileTests::tearDown | ( |  | ) |
| override

Definition at line 43 of file passwordfiletests.cpp.

## ◆ testBasicWriting()

void PasswordFileTests::testBasicWriting | ( |  | ) |

Tests writing (and reading again) using basic features.

Definition at line 153 of file passwordfiletests.cpp.

## ◆ testExtendedWriting()

void PasswordFileTests::testExtendedWriting | ( |  | ) |

Tests writing (and reading again) using extended features.

Definition at line 187 of file passwordfiletests.cpp.

## ◆ testReading() [1/2]

void PasswordFileTests::testReading | ( |  | ) |

Tests reading the testfiles testfile{1,2}.pwmgr.

Definition at line 50 of file passwordfiletests.cpp.

## ◆ testReading() [2/2]

void PasswordFileTests::testReading | ( | const string & | context,
|  | const string & | testfile1path,
|  | const string & | testfile1password,
|  | const string & | testfile2,
|  | const string & | testfile2password,
|  | bool | testfile2Mod,
|  | bool | extendedHeaderMod )

Definition at line 55 of file passwordfiletests.cpp.

The documentation for this class was generated from the following file:

- tests/passwordfiletests.cpp